Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000564 [Piwigo] other feature always 2006.10.18 02:46 2006.11.22 00:44
Reporter rvelices View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Alligator 1 Product Version 1.6.2
  Target Version Product Build
Summary 0000564: In the stat history, log the login of each user
Description I want to know when each user logs in my site. This is more like an "audit".
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001479)
rvelices (developer)
2006.10.19 02:35

[Subversion] r1565
(0001538)
plg (manager)
2006.11.22 00:04

I'm currently working on history complete rewrite and I have a problem with [Subversion] r1565 linked to this feature request. Indeed, you've used the #history.category field to insert "login". This is not very compatible with the new version of the history table.

The new version of the history manager will show visits (associated to a user_id, a start_time and an end_time). Wouldn't it feet also your need?
(0001539)
rvelices (developer)
2006.11.22 00:28

(user_id, start_time and end_time) is excellent.
What I will like is to have the possibility to display the above, but without all the storage required for each viewed page (I'm interested by the visit but not the detail of each page viewed during the visit).

It does not have to be like this in the first version if takes too much of your time, but it would be nice if you designed it so that it can be done later.
(0001540)
plg (manager)
2006.11.22 00:43

OK, so I close this bug and remove it temporary while "history visits" are not fully implemented.

- Issue History
Date Modified Username Field Change
2006.10.18 02:46 rvelices New Issue
2006.10.18 02:46 rvelices Status new => assigned
2006.10.18 02:46 rvelices Assigned To => rvelices
2006.10.18 02:46 rvelices browser => any
2006.10.18 02:46 rvelices Web server => Apache 1.3.x
2006.10.19 02:35 rvelices Note Added: 0001479
2006.10.19 02:35 rvelices Status assigned => closed
2006.10.19 02:35 rvelices Resolution open => fixed
2006.10.19 02:35 rvelices Fixed in Version => Alligator (trunk)
2006.11.22 00:04 plg Note Added: 0001538
2006.11.22 00:04 plg Resolution fixed => reopened
2006.11.22 00:04 plg Status closed => feedback
2006.11.22 00:28 rvelices Note Added: 0001539
2006.11.22 00:43 plg Note Added: 0001540
2006.11.22 00:44 plg Status feedback => closed
2006.11.22 00:44 plg Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker